=== tests/gd2/CMakeLists.txt ===

SET(TESTS_FILES
	gd2_read
	gd2_empty_file
	gd2_im2im
	gd2_null
)

FOREACH(test_name ${TESTS_FILES})
	add_executable(${test_name} "${test_name}.c")
	target_link_libraries (${test_name} gdTest)
	get_target_property(test_path ${test_name} LOCATION)
	ADD_TEST(${test_name} ${test_path})
ENDFOREACH(test_name)
