=== debian/changelog ===
libgd2 (2.1.0-3) unstable; urgency=low

  * Enable subdir-objects in AC_INIT_AUTOMAKE (Closes: #724841)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 30 Sep 2013 11:10:16 +0200

libgd2 (2.1.0-2) unstable; urgency=low

  * Properly quote GD_EXTRA_VERSIOn and GD_VERSION_STRING
    (Courtesy of Marc Deslauriers) (Closes: #714363)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Jun 2013 15:44:28 +0200

libgd2 (2.1.0-1) unstable; urgency=low

  * New upstream version 2.1.0
  * Remove patches merged upstream and pull a fix for incorrect
    compiled-in version

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Jun 2013 10:02:00 +0200

libgd2 (2.1.0~rc2-2) unstable; urgency=low

  * Pull new upstream tests and fixes (fixes the FTBFS on 32-bit archs)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 10 Jun 2013 09:46:52 +0200

libgd2 (2.1.0~rc2-1) unstable; urgency=low

  * New upstream version 2.1.0~rc2
  * font-pattern-pointer-deref.patch: Remove, merged upstream
  * Add new gdImageClone symbol in upstream libgd3 library

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Jun 2013 13:30:36 +0200

libgd2 (2.1.0~rc1-2) unstable; urgency=low

  [ Colin Watson ]
  * Add missing pointer dereference in font_pattern (closes: #709050).

  [ Ondřej Surý ]
  * "I will test my changes with piuparts" release (Closes: #708111)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 May 2013 19:43:22 +0200

libgd2 (2.1.0~rc1-1) unstable; urgency=low

  * Imported Upstream version 2.1.0~rc1
  * Remove patches merged in upstream

 -- Ondřej Surý <ondrej@debian.org>  Fri, 24 May 2013 09:09:47 +0200

libgd2 (2.1.0~alpha1-6) unstable; urgency=low

  * Fix libgd2-dev -> libgd-dev in transitional packages
    (Closes: #708111)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2013 13:24:57 +0200

libgd2 (2.1.0~alpha1-5) unstable; urgency=low

  * Drop chrpath, it's not needed when we switched to libtiff-dev and it
    was broken anyway.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 22 May 2013 10:28:27 +0200

libgd2 (2.1.0~alpha1-4) unstable; urgency=low

  * Build-Depend and Depend on libtiff-dev to make binNMUs easier
  * Fix libgd-dev dependency from libpng12-dev to libpng-dev
  * Don't ignore errors in postinst scripts
  * Fix debhelper-but-no-misc-depends in transitional packages
  * Silence invalid warning about virtual package depends on libgd-dev
  * Add missing Files: * to debian/copyright main License block
  * Explicitly call --with-tiff=/usr to catch tiff 3.x without pkg-config
  * Enable full hardening build

 -- Ondřej Surý <ondrej@debian.org>  Tue, 21 May 2013 17:47:54 +0200

libgd2 (2.1.0~alpha1-3) unstable; urgency=low

  * Build-depend on libtiff5-alt-dev to easy the transition
  * Pull some upstream fixes (Closes: #709074, #709074)
  * Add pkg-config support for tiff-4 (and others) to allow compilation
    against libtiff5-alt-dev (pull from upstream)
  * libgd-dev now depends on libtiff5-alt-dev | libtiff5-dev | libtiff-dev
  * Remove RPATH from binaries, it's not needed

 -- Ondřej Surý <ondrej@debian.org>  Fri, 17 May 2013 15:32:27 +0200

libgd2 (2.1.0~alpha1-2) unstable; urgency=low

  * Upload to unstable
  * Build-depend on libtiff5-dev | libtiff-dev to allow easier backports
  * Remove libjpeg skip test patch, add HAVE_CONFIG_H patch (Closes: #708413)
  * Yet another rename when uploading to unstable:
    + development library package to libgd-dev
    + shared library package to libgd3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 May 2013 13:42:49 +0200

libgd2 (2.1.0~alpha1-1) experimental; urgency=low

  * Update copyright with correct cmake module authors
  * Imported Upstream version 2.1.0~alpha1
  * Update debian/watch to bitbucket.org
  * Add docdir symlinks in postinst for transitional packages when
    upgrading (Closes: #708111)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 13 May 2013 16:57:19 +0200

libgd2 (2.1.0~alpha~8+ecc535-2) experimental; urgency=low

  * Build-Depend on libpng-dev (Closes: #662401)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 May 2013 12:09:12 +0200

libgd2 (2.1.0~alpha~8+ecc535-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~8+ecc535
  * Imported Upstream version 2.1.0~alpha~7+292b0a
  * Imported Upstream version 2.1.0~alpha~6+bc7015
  * Remove Breaks: php5-common, since it also clashes with PHP 5.4
  * Introduce libgd2-dbg package with debug symbols

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 May 2013 10:42:20 +0200

libgd2 (2.1.0~alpha~5+9ca645-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~5+9ca645
   + This build changes the double->int conversion in clip_1d
     hopefully allowing the tests to pass correctly

 -- Ondřej Surý <ondrej@debian.org>  Sat, 27 Apr 2013 09:15:08 +0200

libgd2 (2.1.0~alpha~4+cf9d7f-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~3
  * Imported Upstream version 2.1.0~alpha~4+cf9d7f
  * Disable jpeg_read test which is broken with libjpeg8
  * Add couple of new symbols and remove gdImageAntialias, that didn't
    make it to 2.1.0; add Breaks: php5 (<< 5.5.0~beta4)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2013 12:17:06 +0200

libgd2 (2.1.0~alpha~2-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~2
  * Update debian/libgd2-3.symbols with new functions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Apr 2013 09:35:28 +0200

libgd2 (2.1.0~alpha~1-2) experimental; urgency=low

  * Introduce transitional packages for libgd2-{noxpm,xpm}-dev
  * Don't install separate docs for transitional packages
  * Fix some formatting errors in gdlib-config.1 manpage
  * Fix the xmp->xpm typo

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Apr 2013 08:58:45 +0200

libgd2 (2.1.0~alpha~1-1) experimental; urgency=low

  * Imported Upstream version 2.1.0~alpha~1
    (upstream 2.1.0-alpha git snapshot)
  * Update uploaders to include me and remove Jonas
  * Update gbp.conf for experimental
  * Switch the build system to debhelper

