=== debian/watch ===
# run the "uscan" command to check for upstream updates and more.
version=3
opts="uversionmangle=s/RC/~rc/,dversionmangle=s/\~dfsg$//" \
	https://bitbucket.org/libgd/gd-libgd/downloads/gd-([\.0-9].*).tar.xz debian
