## libgd2 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 # $Id$
+CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
 
 SET(PACKAGE GD)
 SET(PACKAGE_NAME GD)
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
 CMAKE_POLICY(SET CMP0017 OLD)
 PROJECT(GD)
 
@@ -13,6 +13,7 @@
 OPTION(ENABLE_LIQ "Enable libimagequant support" 0)
 OPTION(ENABLE_JPEG "Enable JPEG support" 0)
 OPTION(ENABLE_TIFF "Enable TIFF support" 0)
+OPTION(ENABLE_ICONV "Enable ICONV support" 0)
 OPTION(ENABLE_XPM "Enable XPM support" 0)
 OPTION(ENABLE_FREETYPE "Enable Freetype2 support" 0)
 OPTION(ENABLE_FONTCONFIG "Enable FontConfig support" 0)
@@ -68,12 +69,12 @@
 
 	SET(GD_VERSION_MAJOR "2")
 	SET(GD_VERSION_MINOR "1")
-	SET(GD_VERSION_PATCH "0")
-	SET(GD_VERSION_EXTRA "-alpha1")
+	SET(GD_VERSION_PATCH "1")
+	SET(GD_VERSION_EXTRA "")
 	SET(GD_VERSION "${GD_VERSION_MAJOR}.${GD_VERSION_MINOR}.${GD_VERSION_PATCH}${GD_VERSION_EXTRA}")
 	SET(GD_VERSION_STRING "${GD_VERSION}")
 
-	SET(GD_VERSION_INT "20100")
+	SET(GD_VERSION_INT "20101")
 
 	SET(CMAKE_REQUIRED_INCLUDES "/usr/include" "/usr/local/include")
 
@@ -86,6 +87,10 @@
 	if (ENABLE_PNG)
 		FIND_PACKAGE(PNG REQUIRED)
 	endif (ENABLE_PNG)
+	
+	if (ENABLE_ICONV)
+		FIND_PACKAGE(ICONV REQUIRED)
+	endif (ENABLE_ICONV)
 
 	FIND_PACKAGE(ZLIB)
 
@@ -141,6 +146,12 @@
 		INCLUDE_DIRECTORIES(${PNG_INCLUDE_DIR})
 		SET(HAVE_LIBPNG 1)
 	ENDIF(PNG_FOUND)
+	
+	IF(ICONV_FOUND)
+		INCLUDE_DIRECTORIES(${ICONV_INCLUDE_DIR})
+		SET(HAVE_ICONV 1)
+		SET(HAVE_ICONV_H 1)
+	ENDIF(ICONV_FOUND)
 
 	IF(LIQ_FOUND)
 		INCLUDE_DIRECTORIES(${LIQ_INCLUDE_DIR})
@@ -191,13 +202,13 @@
 			ADD_DEFINITIONS("/D_CRT_SECURE_NO_DEPRECATE")
 		endif(NOT MINGW AND MSVC_VERSION GREATER 1399)
 		if (MINGW OR MSYS)
-			ADD_DEFINITIONS("-mms-bitfields -m32")
+			ADD_DEFINITIONS("-mms-bitfields") # -m32
 		endif (MINGW OR MSYS)
 	else (WIN32)
 		SET(GD_LIB gd)
 	endif (WIN32)
 
-	SET(GD_LIB_STATIC "${GD_LIB}-static")
+	SET(GD_LIB_STATIC "${GD_LIB}_static")
 
 	IF(PROFILE)
 		add_definitions("-pg")
