=== debian/changelog ===
libgd2 (2.1.1-4build2) xenial; urgency=medium

  * Rebuild against libvpx3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2016 00:57:20 +0000

libgd2 (2.1.1-4build1) wily; urgency=medium

  * No-change rebuild against new libvpx

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 24 Jul 2015 17:58:20 +0100

libgd2 (2.1.1-4) unstable; urgency=medium

  * Fix xmp vs xpm typo in Provides (Closes: #791435)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jul 2015 13:09:26 +0200

libgd2 (2.1.1-3) unstable; urgency=medium

  * Add libgd-{no,}xmp-dev to libgd-dev Provides to fix FTBFS in packages
    still depending on old name (Closes: #791435).  Thanks Mattia Rizzolo
    for catching this early.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Jul 2015 08:59:00 +0200

libgd2 (2.1.1-2) unstable; urgency=medium

  * Drop libgd2-{xpm,noxmp}-dev dummy packages

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Jun 2015 13:38:39 +0200

libgd2 (2.1.1-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * Fix build against libvpx 1.4 (Closes: #785403)

  [ Mario Lang ]
  * Fix Vcs-* URL in debian/control.

  [ Ondřej Surý ]
  * New upstream version 2.1.1
  * Update patches for GD 2.1.1 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 May 2015 11:22:50 +0200

libgd2 (2.1.0-5) unstable; urgency=high

  * Remove seanius from Uploaders.  So Long, and Thanks for All the Fish.
    (Closes: #773439)
  * Fix buffer overflow found by Jan Bee and fixed by Remi Collet

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Dec 2014 13:30:57 +0100

libgd2 (2.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make package binNMU-safe by converting empty transitional packages
    to arch=any. (Closes: #762325)

 -- Andreas Barth <aba@ayous.org>  Sun, 28 Sep 2014 12:01:30 +0000

libgd2 (2.1.0-4) unstable; urgency=medium

  * [CVE-2014-2497]: NULL pointer dereference

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Aug 2014 11:07:19 +0200
