=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: GD team <pkg-gd-devel@lists.alioth.debian.org>
-Uploaders: Ondřej Surý <ondrej@debian.org>,
-	   Sean Finney <seanius@debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: autotools-dev,
 	       debhelper (>= 9),
 	       libpng-dev,
@@ -18,8 +17,8 @@
 	       libtiff-dev,
 	       dh-autoreconf,
 	       html2text
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/libgd
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/libgd.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/libgd2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/libgd2.git;a=summary
 Standards-Version: 3.9.3
 Homepage: http://www.libgd.org/
 
@@ -55,7 +54,7 @@
 	 libtiff-dev
 Breaks: libgd2-xpm-dev (<< 2.1.0~), libgd2-noxpm-dev (<< 2.1.0~), libgd2-dev (<< 2.1.0~alpha1-2~)
 Replaces: libgd2-xpm-dev (<< 2.1.0~), libgd2-noxpm-dev (<< 2.1.0~), libgd2-dev (<< 2.1.0~alpha1-2~)
-Provides: libgd2-xpm-dev, libgd2-noxpm-dev, libgd2-dev
+Provides: libgd2-dev, libgd2-xpm-dev, libgd2-noxpm-dev
 Description: GD Graphics Library (development version)
  GD is a graphics library. It allows your code to quickly draw images
  complete with lines, arcs, text, multiple colours, cut and paste from
@@ -96,23 +95,3 @@
  one of the formats accepted for inline images by most browsers.
  .
  These are the debug symbols for the library and tools.
-
-Package: libgd2-xpm-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, libgd-dev
-Multi-Arch: foreign
-Description: GD Graphics Library (transitional package)
- This is a dummy transition package that can be safely removed once no
- package depend on it.
-
-Package: libgd2-noxpm-dev
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, libgd-dev
-Multi-Arch: foreign
-Description: GD Graphics Library (transitional package)
- This is a dummy transition package that can be safely removed once no
- package depend on it.
