## libgd2 2.2.1

=== debian/changelog ===
libgd2 (2.2.1-1ubuntu3) yakkety; urgency=medium

  * SECURITY UPDATE: out of bounds read in TGA file parsing
    - debian/patches/CVE-2016-6132.patch: properly validate image data in
      src/gd_tga.c.
    - CVE-2016-6132
  * SECURITY UPDATE: OOB or OOM in gdImageScale
    - debian/patches/CVE-2016-6207.patch: check for overflows, use floats,
      and check return codes in src/gd.c, src/gd_interpolation.c.
    - CVE-2016-6207
  * SECURITY UPDATE: out-of-bounds read issue with unsupported TGA
    bpp/alphabit combinations
    - debian/patches/CVE-2016-6214.patch: improve checks in src/gd_tga.c.
    - CVE-2016-6214

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Aug 2016 13:55:18 -0400

libgd2 (2.2.1-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild against libwebp6

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 08 Aug 2016 13:22:20 +0100

libgd2 (2.2.1-1ubuntu1) yakkety; urgency=medium

  * SECURITY UPDATE: integer overflow in _gd2GetHeader()
    - debian/patches/CVE-2016-5766.patch: check for overflow in
      src/gd_gd2.c.
    - CVE-2016-5766
  * SECURITY UPDATE: denial of service via invalid color index
    - debian/patches/CVE-2016-6128.patch: check color index in
      src/gd_crop.c, added test to tests/CMakeLists.txt, tests/Makefile.am,
      tests/gdimagecrop/.gitignore, tests/gdimagecrop/CMakeLists.txt,
      tests/gdimagecrop/Makemodule.am, tests/gdimagecrop/php_bug_72494.c.
    - CVE-2016-6128

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jul 2016 14:05:30 -0400

libgd2 (2.2.1-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Imported Debian patch 2.1.1-4.1

  [ Ondřej Surý ]
  * Imported Upstream version 2.2.0
  * Delete obsolete patches
  * Don't install obsolete gdlib-config
  * [CVE-2015-8874]: Stack consumption vulnerability in GD allows remote
    attackers to cause a denial of service via a crafted imagefilltoborder
    call
  * Build with libwebp-dev instead of old libvpx-dev
  * Initialize full_filename in tests/gdimagefile/gdnametest.c
  * Imported Upstream version 2.2.1
  * CVE-2015-8874 is now fixed in the upstream release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 May 2016 14:39:37 +0200

libgd2 (2.1.1-4.1) unstable; urgency=high

  * Non-maintainer upload (with Ondrej's approval directly uploaded)
  * CVE-2016-3074: Signedness vulnerability causing heap overflow
    (Closes: #822242)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 23 Apr 2016 10:49:43 +0200
