=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_auto_configure -- --disable-rpath --with-tiff=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_install:
-	dh_install --fail-missing -Xlibgd.la
+	dh_install --fail-missing -Xlibgd.la -Xgdlib-config
 
 override_dh_installdocs:
 	dh_installdocs -plibgd2-xpm-dev -plibgd2-noxpm-dev --link-doc=libgd-dev
