=== tests/gdimagearc/CMakeLists.txt ===
SET(TESTS_FILES
	bug00079
)

ADD_GD_TESTS()
