=== tests/gdimagebrightness/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	basic
)

ADD_GD_TESTS()
