=== tests/gdimagefilledpolygon/CMakeLists.txt ===
SET(TESTS_FILES
	gdimagefilledpolygon0
	gdimagefilledpolygon1
	gdimagefilledpolygon2
	gdimagefilledpolygon3
	bug00100
	php_bug_64641
	self_intersecting
)

ADD_GD_TESTS()
