=== tests/gdimagerectangle/CMakeLists.txt ===
SET(TESTS_FILES
	bug00003
	bug00106_gdimagerectangle
	bug00299
	github_bug_00172
	point_ordering
)

ADD_GD_TESTS()
