=== tests/gdimagescale/CMakeLists.txt ===
SET(TESTS_FILES
	bug00329
	bug00330
	github_bug_00218
	bug_overflow_large_new_size
)

ADD_GD_TESTS()
