=== tests/gdimagescatterex/CMakeLists.txt ===
SET(TESTS_FILES
	bug00208_1
	bug00208_2
)

ADD_GD_TESTS()
