=== tests/gdimagesetpixel/CMakeLists.txt ===
SET(TESTS_FILES
	alpha_blending
	bug00186
	gdeffectoverlay
	gdeffectmultiply
)

ADD_GD_TESTS()
