=== tests/gdtransformaffineboundingbox/CMakeLists.txt ===
SET(TESTS_FILES
	github_bug_00221
)

ADD_GD_TESTS()
