=== tests/gif/CMakeLists.txt ===
SET(TESTS_FILES
	gif_im2im
	gif_null
	bug00005
	bug00005_2
	bug00006
	bug00060
	bug00066
	bug00181
	bug00227
)

ADD_GD_TESTS()
