=== tests/xbm/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	github_bug_170
)

ADD_GD_TESTS()
