=== debian/changelog ===
libgd2 (2.2.4-2+deb9u5) stretch; urgency=high

  * Fix CVE-2019-11038: Uninitialized read in gdImageCreateFromXbm
    (Closes: #929821)

 -- Jonas Meurer <jonas@freesources.org>  Tue, 11 Jun 2019 17:33:42 +0200

libgd2 (2.2.4-2+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Heap-based buffer overflow in gdImageColorMatch (CVE-2019-6977)
    (Closes: #920645)
  * Potential double-free in gdImage*Ptr() (CVE-2019-6978) (Closes: #920728)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 02 Feb 2019 10:49:03 +0100

libgd2 (2.2.4-2+deb9u3) stretch; urgency=medium

  * CVE-2018-1000222 (Closes: #906886)
  * CVE-2018-5711 (Closes: #887485)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 07 Sep 2018 19:29:19 +0200

libgd2 (2.2.4-2+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-6362: Double-free in gdImagePngPtr()

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 31 Aug 2017 14:45:16 +0200

libgd2 (2.2.4-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2017-7890: Fix unitialized memory read vulnerability in GIF reading
    (Closes: #869263)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 12 Aug 2017 07:14:26 +0200

libgd2 (2.2.4-2) unstable; urgency=medium

  * Apply correct patch on tiff_invalid_read

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2017 21:06:46 +0100

libgd2 (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4
  * Rebase patches on top of libgd-2.2.4 release
  * Disable tiff/tiff_invalid_read test

 -- Ondřej Surý <ondrej@debian.org>  Wed, 18 Jan 2017 12:11:06 +0100

libgd2 (2.2.3-87-gd0fec80-3) unstable; urgency=medium

  * Disable tests/gdimagegrayscale as it breaks the 32-bit builds

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Nov 2016 09:37:59 +0100

libgd2 (2.2.3-87-gd0fec80-2) unstable; urgency=medium

  * [CVE-2016-6911]: Fix invalid read in gdImageCreateFromTiffPtr()
    (Closes: #840806)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 23:38:28 +0100

libgd2 (2.2.3-87-gd0fec80-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3-87-gd0fec80
   + [CVE-2016-8670]: Stack Buffer Overflow in GD dynamicGetbuf
   + [CVE-2016-6911]: invalid read in gdImageCreateFromTiffPtr()
   + [CVE-2016-7568]: Integer overflow in gdImageWebpCtx
   (Closes: #840805, #840806, #839659)
  * Refresh patches on top of git snapshot 2.2.3-87-gd0fec80
  * Replace -dbg with -dbgsym packages
  * Disable php_bug_72339 that has overflow constant
  * Fix error: ISO C99 requires at least one argument for the "..." in a variadic macro

 -- Ondřej Surý <ondrej@debian.org>  Mon, 31 Oct 2016 09:56:49 +0100

libgd2 (2.2.3-3) unstable; urgency=medium

  * Initialize error in tests/gd2/gd2_read.c

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Jul 2016 11:04:33 +0200

libgd2 (2.2.3-2) unstable; urgency=medium

  * Remove the failing test from the test suite rather than juggling with
    architecture tests (Closes: #832390)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Jul 2016 09:12:12 +0200

libgd2 (2.2.3-1) unstable; urgency=medium

  * Imported Upstream version 2.2.3

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jul 2016 09:03:38 +0200

libgd2 (2.2.2-43-g22cba39-2) unstable; urgency=medium

  * Use DEB_HOST_ARCH instead of DEB_HOST_GNU_CPU to detect i386
    (Closes: #832390)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Jul 2016 09:57:12 +0200

libgd2 (2.2.2-43-g22cba39-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2-43-g22cba39
  * Don't fail on failed tests to fix i386 FTBFS
  * Add default debian rules include to skip checking tests only on i386

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Jul 2016 07:34:04 +0200

libgd2 (2.2.2-29-g3c2b605-1) unstable; urgency=medium

  * Imported Upstream version 2.2.2-29-g3c2b605
   + [CVE-2016-5766]: Fix Integer Overflow in _gd2GetHeader() resulting in
     heap overflow (Closes: #829014)
   + [CVE-2016-6128]: Fix invalid color index not handled, can lead to
     crash (Closes: #829062)
   + [CVE-2016-6161]: Add upstream patch to fix gif: avoid out-of-bound
     reads of masks array
   + [CVE-2016-6132]: Fix out-of-bounds read in the parsing of TGA files
     (Closes: #829694)
   + [CVE-2016-6214]: Fix read out-of-bands was found in TGA
   + Fix another out-of-bounds read in read_image_tga (upstream #248)
  * Remove patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jul 2016 10:53:07 +0200
